curl --request PATCH \
--url https://mapi.zbx.boomfi.xyz/v1/customers/{customerID} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"customer_ident": "<string>",
"discord": "<string>",
"email": "<string>",
"name": "<string>",
"number": "<string>",
"twitter": "<string>",
"wallet_address": "<string>"
}
'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/customers/{customerID}"
payload = {
"customer_ident": "<string>",
"discord": "<string>",
"email": "<string>",
"name": "<string>",
"number": "<string>",
"twitter": "<string>",
"wallet_address": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_ident: '<string>',
discord: '<string>',
email: '<string>',
name: '<string>',
number: '<string>',
twitter: '<string>',
wallet_address: '<string>'
})
};
fetch('https://mapi.zbx.boomfi.xyz/v1/customers/{customerID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"deleted_at": "<string>",
"email": "<string>",
"id": "<string>",
"metadata": [
123
],
"name": "<string>",
"org_id": "<string>",
"phone": "<string>",
"properties": [
123
],
"reference": "<string>",
"updated_at": "<string>",
"wallet_address": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Update Customer
Update customer fields. Only non-empty fields are applied. Returns the updated customer record (unwrapped).
Authorizations
Path Parameters
Unique customer identifier (cus_... or raw UUID)
Body
Request
Merchant-defined customer reference / external identifier.
Discord username or handle (stored in customer properties).
Customer email address.
Customer display name.
Phone number (E.164 preferred).
Twitter / X handle (stored in customer properties).
Blockchain wallet address associated with the customer.
Response
OK
When the resource was created (RFC3339).
When the resource was soft-deleted (RFC3339), if applicable.
Email address.
Unique resource identifier.
Arbitrary merchant-defined metadata.
Display name.
Organisation ID that owns this resource.
Phone number.
Additional properties as a key-value map.
Merchant-defined reference string.
When the resource was last updated (RFC3339).
Blockchain wallet address.